ABView - Video, Audio, Animation, MIDI, Icon library, MP3 ID3 TAG and Font Viewer

Introduction

ABView - Video, Audio, Animation, MIDI, Icon library, MP3 ID3 TAG and Font Viewer

ABView - the fastest, most powerful, and easy-to-use video, audio and image viewer available for Windows!
A simple, effective, multi-format viewer "add-on" for any standard window or dialog (wherever there is list of files, for example: Windows Explorer, File Open / Save, File Import / Export, Desktop etc). Simply right click on an video, audio or image file to instantly view a thumbnail preview and full file information.

ABView digital media software offers support for 22 popular video formats, 15 popular image (and vector) formats, 20 popular audio (and midi) formats, cursor (including animated), icon library, 3D object, font and palette formats.

ABView has the rich set of supported formats and following main possibilities:

  • playback the video files (including fullscreen)
  • playback animation files
  • playback audio and MIDI files
  • viewing the graphic files
  • viewing the libraries of icons and other files containing Windows resources
  • converting libraries of icons into BMP files
  • adjusting the size of playback window
  • adjustment of speed of playback of animation files
  • choice of different ways of playback of audio files
  • review of information about selected file
  • review of information about ID3 tags of MP3 files
  • adjustment of icons associated with supported formats of files
  • multi-language support
  • unhooking of any format from list of supported formats
  • full compatibility with system video effects of Windows 2000 / Windows XP / Windows 2003
  • the united system of registration keys for all versions of the program
  • 'Cool Flat' graphic user interface


Supported formats

ABView digital media software offers support for 72 popular files formats:

File types supported
Video
MPEG, M1V, MP2, MPV2, MP2V, MPA, MOV, AVI, DAT, ASF, ASX, WM, VOD, WMV, WVX, IVF
Animation files
FLI, FLC, CEL, animated GIF
Images
BMP, DIB, RLE, JPG, JPE, JPEG, GIF, PCX, TIF, TIFF, PNG
Icons and cursors
ICO, CUR, animated cursor ANI
Vector graphics
WMF, EMF
Icon library and resource files
ICL, IL, NIL, EXE, DLL, CPL, OCX, DRV, VBX
Audio
MP3, OGG, M3U, WAV, SND, AU, AIF, AIFF, AIFC, MOV, QT, WMA, WAX, VOC
MIDI Music
MID, MIDI, RMI
Binary DirectX 3D objects
X
TrueType Fonts
TTF
Macromedia Flash
SWF
Palette files
PAL, ACT


Additional DirectShow codecs

You can view more video formats by installing ffdshow codec pack.

You can download the latest version of ffdshow from here: http://sourceforge.net/projects/ffdshow/
ffdshow completely free software - is distributed under GPL.

ffdshow is a DirectShow decoding filter for decompressing DIVX movies.
It uses libavcodec from ffmpeg project or for video decompression (it can use
xvid.dll installed with xvid codec too), postprocessing code from mplayer to
enhance visual quality of low bitrate movies, and is based on original
DirectShow filter from XviD, which is GPL'ed educational implementation
of MPEG4 encoder.

Features:

- fast video decompression using optimized MMX, MMXEXT, SSE, SSE2 and 3DNow! code
- support for different codecs: XviD and all DIVX versions
- additional support for MSMPEG4v1, MSMPEG4v2, MSMPEG4v3 and H263
- can act as generic postprocessing filter for other decoders like MPEG1 or MPEG2
- image postprocessing for higher playback quality
- automatic quality control: automatically reduces postprocessing level when CPU load is high
- hue, saturation and luminance correction (MMX optimized)
- two sharpening filters: xsharpen and unsharp mask
- blur and temporal smoother
- tray icon with menu and quick access to configuration dialog
- noising with two selectable algorithms
- resizing and aspect ratio changing
- subtitles

Others codec packs can be used such as Nimo Codec Pack, K-Lite Codec Pack, GordianKnot Codec Pack, but some of them might possible conflict with ABView.


System requirements

Windows 95 with Internet Explorer 5.0 and Active Desktop is installed
or Windows 98 with Internet Explorer 5.0 or later
or Windows 98 Second Edition
or Windows Millennium Edition
or Windows 2000
or Windows XP
or Windows 2003

DirectX 7.0 or later
32 Mb RAM
Pentium processor
2.5 Mb free space
2 Mb SVGA Video card (recommended True or High color)


The user interface

The user interface of ABView consists of the following logical parts:

      • System contextual menu with preview window
      • The Window 'Options...'
      • The Window 'About.. '
      • The Window 'Registration...'.
Graphic part of user interface of windows ABView is made using on 'Cool Flat' technologies that does their exterior more beautiful, as well as suitable in use.


The system context menu with preview window
The context menu with the preview window holds the main playback window . To call system context menu it is necessary to right-click a file of supported format in any window wherever there is list of files.
ABView context menu

For example:

  • standard Microsoft Windows Explorer
  • standard Windows Desktop (including Active Desktop)
  • the standard windows 'Open...', 'Save...', ' Import...', 'Export...'
  • other windows working with file objects
ABView context menu
Depending on the type of viewed file, context menu takes one of the the following types.
ABView context menu
The size of the playback window within the system context menu is not fixed and can be changed in the window 'Options...'. On the page 'Video' for video and animation files and on the page 'Pictures' for graphic formats. The size of the playback window is assigned by means of control elements of the 'Preview box size' group.
ABView context menu
Note: the width of the playback window can not be set less then the value of 'Restriction for preview window' parameter on page 'Video'.
Note: about other adjusting of the playback window it is possible to learn from the article 'Window Options...'


The window 'Options...'

The window 'Options...' is intended to give a user the mechanisms of adjustment of all mode of work ABView. The window consists of pages, by choosing each of them, different program adjustments become available. The Window has the following pages:

  • Page 'Video'
  • Page 'Picture'
  • Page 'Audio'
  • Page 'Resource'
  • Page 'Files Icon'
  • Page 'Languages'
  • Page 'Files Types'

Adjustments take effect only after clicking the button 'Apply', after which this button becomes inactive. The button 'Windows 2000...' located in the down-left corner of the window 'Options...' is intended for adjustment of collaboration ABView with animation video effects in Windows 2000, and available only in that environment.

Note: to call the window 'Options...' you shold choose "ABView -> Options..." within the system context menu caused on file of a supported format.


Page 'Video'
Page 'Video'

Page 'Video' of the window "Options..." is intended for adjusting of the parameters of playback video and animation files. The adjustable parameters of the page are divided into the following groups on logical and functional basis:

  • Preview Box Size
  • Restriction for preview window
  • Information...
  • FLIC animation
  • GIF animation

The group 'Preview Box Size' contains the control elements for changing the playback window size. By means of elements of given group it is possible to assign standard size of the playback window, as well as your own size.

The group 'Restriction for preview window' contains the only parameter 'Minimal width of the preview window' which is intended to set the minimum width of playback window in all modes of work. Setting too small value can the result in malfunctions of the program so it is recommended not to change given value.

The group 'Information...' which contains the only parameter 'Show information about parameters of playbacking file' is intended to control modes of information on video or animation file.

The group 'FLIC animation" contains the control elements, which allow to adjust the playback speed of FLIC formats, as well as assign the mode of automatic rewind of a file at the end of playbacking (so-called round-robin playback).

The group 'GIF animation" contains the control elements, which allow to adjust the playback speed of GIF formats, as well as assign the mode of automatic rewind of a file at the end of playbacking (so-called round-robin playback).


Page 'Audio'
Page 'Audio'

Page 'Audio' of the window 'Options...' is intended for adjusting of the parameters of plaback audio and MIDI files. The parameters of the page are divided into the following groups on logical and functional basis:

  • MIDI information
  • Information...
  • MP3 and OGG format
The group 'MIDI information' allows to choose the service of reproduction MIDI file (either DirectShow service, or DirectX 7.0 service), as well as to see information on functional possibilities of selected service of playback.

The group 'Information...' which contains the only parameter 'Show information about parameters of playbacking file' is intended to control modes of information on the sound file you are listening.


Page 'Pictures'
Page 'Pictures'

Page 'Picture' of the window 'Options...' is intended for adjusting of the parameters of the graphic files. The adjustable parameters of the page are divided into the following groups on logical and functional basis:

  • Preview Box Size
  • Information...
  • About versions
  • Supported formats

The group 'Preview Box Size' contains the control elements for changing the playback window size. By means of elements of given group it is possible to assign standard size of the playback window, as well as your own size.

The group 'Information...' which contains the only parameter 'Show information about parameters of playbacking file' is intended to control modes of information on graphic file.

The group "About versions" contains information about versions of procedures of viewing the graphic files used by ABView, as well as other auxiliary information.

The group 'Supported formats' serves for representation of supported graphic formats and their extensions.


Page 'Resources'
Page 'Resources'

Page 'Resources' of the window 'Options...' is intended for adjusting of the view parameters of the libraries of icons and other files containing icons. The adjustable parameters of the page are contained in the only group 'Icon library viewer'. This group is divided into the following logical blocks of control elements:

  • for adjusting the colours of elements in playback window
  • for enabling(disabling) support of viewing icons of different formats
  • for setting the speed of scrolling a browser
  • for choosing the place of convertation of icon libraries to BMP file
Note: by means of unset of the 'Use automatic icons converter to BMP picture file' flag it is possible to switch off the mode of convertation of icon libraries to BMP file.


Page 'Icon Files'
Page 'Icon Files'

Page 'Icon Files' of the window 'Options...' is intended for adjusting of the associations of files of icon of supported formats. The page has the control elements for:

  • choosing standard schemes of icons
  • choosing the icon for each supported format of files
  • unhooking the use of each association
  • unhooking the mode of associations of icons
'Pick Icons' dialog
Note: to change the icon associated with some format, it is necessary to press the button 'Change' located under this icon. Then, in the appeared window by means of the 'Browse...' button find the icon file and choose necessary us icon in the list. Press the button 'OK'. Supported formats of icon files are: icl, il, exe, dll, drv, vdx, vbx.


Page 'Languages'
Page 'Languages'
Page 'Languages' of the window 'Options...' is intended for adjustment of graphic user interface language. To change the language of graphic user interface choose the language in the list 'Current language' of the group 'Settings', press the button 'Apply' and reboot the computer.

ATTENTION:
FREE REGISTRATION: Translate the text of User Interface into another language.
For details, contact us on e-mail; language@sycory.com

Multi-language support
English | German | Danish
Spanish | Russian | Chinese
Magyar | Turkish | Arabic
Dutch | Romanian | Polish
Italian | Swedish | Norwegian
Macedonian | Brazilian Portuguese | French


Page 'Files Types'
Page 'Files Types'
Page 'Files Types' of the window 'Options...' is intended for enabling or unhooking supported formats of files.


The window 'Compatibility with Windows 2000...'
The window 'Compatibility with Windows 2000...'
The window 'Compatibility with Windows 2000...' is intended for adjusting of the mode of compatibility ABView with animation video effects in Windows 2000. They are possible two modes of compatibility: automatic ('Automatic compatibility' flag is set) and manual (the flag is discarded). It is recommended never no discard this flag.

Note: window 'Compatibility with Windows 2000...' is appeared when clicking the 'Windows 2000' button located in the down-left corner of window 'Options', which is only seen on Windows 2000.


The window 'About...'
About window
The Window 'About...' is intended to give a user information on ABView version, as well as information on system configuration. The window has the button 'Registration,..' to call the window of program registration and shows the owner of the given copy ABView. Also, the window contains links on the site of the producer, service of payment for program copys and technical support service. The 'Copying informations to the clipboard' button is intended for simplifying your communication with the technical support service. When you click it your system configuration is copied to the exchange buffer (clipboard) and after that you can copy it to your letter to technical support service.


The window 'Registration...'
The window 'Registration...'
The window 'Registration...' allows a user to register the ABView program.

To register the program it is necessary to do the following actions:

  • get the registration attributes:
    • click on link 'Purchase Page...' of 'About...' window
    • correctly fill in the registration form
    • you get the registration attributes by e-mail within two days
    • enter the attributes in the Name, Code, and Key fields of 'Registration...' window and click the button 'OK'
  • reboot the computer


Installing and removing
Installing of ABView:

      • Ensure no previous version of ABView is installed on your computer (if one is installed, uninstall it, as described below)
      • Start the file setup.exe and follow the instructions on screen
      • if the installation program requests a restart, do that
Removing of ABView:

  • close all applications
  • restart the computer
  • press the "Start" button in the Windows Task Bar, choose the "Settings" option, then select "Control Panel"
  • when that appears, double-click on the "Add/Remove Programs" icon
  • in the window that appears, find and select "ABView" and press "Add/Remove"
  • follow the on-screen instructions
  • if the removal program requests a restart, do that


Full screen mode of playback
Preview mode for multimedia files Full screen mode for multimedia files
At present full screen mode is supported only for multimedia files: MPEG, AVI, MOV, DAT and others. To turn for the full screen mode it is necessary to left click on the browser of video file within system context menu. In full screen mode the left click result in a pause and the right click - result in exit from this mode.


Pause in playback

Aiming the mouses on browser of file within system context menu causes a pause. To continue the playbacking you should remove mouse pointer from this window.


Expired trial period
Expired trial period

After trial period expire all main functions of program will be limited, playback window will be turned over and the only available function will be 'Registration..'.


Viewing file info
Viewing file info
ABView can give you additional information about viewing file. For example, for files of pictures (such as *.jpg, *.bmp, *.gif etc.) ABView can show they width and height. For *.mp3 files you'll see ID3 tags, header properties (for instance MPEG-1, Layer III, 128 kbps, Stereo, 44.1 kHz) as well as its duration and current position of playbacking. When you are viewing palette files ABView can show you choosen color info in different color spaces.
To turn on the view info mode for different types of files set 'Show information about playbacking file' flag within the proper page of the 'Option' window.


Rewinding during playbacking
Rewinding during playbacking
ABView gives you the possibility of moving the position of playback (rewinding) for some file types. To such files pertain: MPEG, M1V, MP2, MPV2, MP2V, MPA, MOV, AVI, FLI, FLC, CEL, GIF, DAT, ASF, ASX, WM, VOD, WMV, WVX, IVF, MP3, M3U, WAV, SND, AU, AIF, AIFF, AIFC, MOV, QT, WMA, WAX, VOC, MID, MIDI, RMI, OGG, X.

This possibility is turned on automatically.


License and warranty

License agreement
You should carefully read the following terms and conditions before using this software.

Registered version
 One registered copy of ABView may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used nonsimultaneously by multiple people, but not both.

Evaluation and registration
 This is not free software. Subject to the terms below, you are hereby licensed to use this software for evaluation purposes without charge for a period of 15 days. If you use this software after the 15 day evaluation period a registration fee of $24.95 is required. When payment is received you will be sent a registration key to the latest version of ABView.

Disclaimer of warranty
 THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OR MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED.

Distribution of evaluation version
 Provided that you verify that you are distributing the evaluation version (select About from the ABView menu to check) you are hereby licensed to make as many copies of the evaluation version of this software and documentation as you wish; give exact copies of the original evaluation version to anyone; and distribute the evaluation version of the software and documentation in its unmodified form via electronic means. There is no charge for any of the above.

You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.


Registration of ABView

Introduction to registration
 Trial version of ABView has limitations: 15 days trial period. If you decide to keep it, you have to register and pay the registration fee (as low as $24.95). Registration benefits: lifetime technical support including support via e-mail, FREE upgrade to all new versions, and product notification by e-mail.

How To Order
 You can register your copy of ABView for $24.95. Select one of the following ways:

Through the World Wide Web
This is the fastest and easiest way. The ordering page is on a secure Netscape Commerce Server, ensuring that your confidential information remains confidential.

Order the Fully Licensed version
 Price
ABView Purchase
ABView $24.95

For details on ordering ABView through the Web, please go to the register page at:
http://www.sycory.com/purchase.html
By Fax or Phone
If you don't have convenient Web access, the next best way to order ABView is by fax (also using the credit card) or phone (toll-free). In addition, you can send us the check (American Express Traveller's cheques and Eurocheques are preferred); money orders are also accepted. The order form template, fax and phone numbers and mailing address are in the file "Order.frm".

On payment approval (usually, in one-two business days), we'll send you the registration key which will remove all limitations of unregistered version and 15 days trial period. Your registration will be valid for all future versions of ABView.

If you will not get your registration key within a reasonable amount of time (three business days for credit card payments or two weeks for other payments), please notify us about that! We're very sorry for any inconvenience caused by those delays.

Important: when filling the order form, please double-check that your e-mail address is correct. If it will not, we'll be unable to send you the registration code.


Support

Upgrade
If you are a registered user of ABView you may upgrade at no charge to any newer release. Just download the latest trial release of ABView and install it (uninstalling the previous version). This will preserve your registration. If the registration code is no longer present on your system just reenter it like the first time and restart the program.
If for any reason your registration code becomes invalid or lost just send an e-mail support@sycory.com to together with the details of your previous registration. You will receive a new code via e-mail at no charge as soon as I have validated your old registration data.

Technical support
Before you contact us, please do the following:
Be sure that you're doing everything right. We all make mistakes sometimes... Be attentive.
Look at the help file: it may already contain an answer to your question. Visit ABView product page or SYCORY.COM FAQ page in the Internet at:
 ABView product page: http://www.sycory.com/abview.htm
SYCORY.COM FAQ page: http://www.sycory.com/faq.htm

It's a good chance that you'll find the newer version of ABView there. If the serious bug has been found in the program, but the new version is not ready yet, we make the hot fix for it.

But if you still have a problem with ABView and noting else helps, please contact ABView technical support at: support@sycory.com
Please inform us about the following:

  • ABView version (from "About" dialog)
  • ABView serial number (if you're a registered user)
  • where did you get ABView (http or ftp site)
  • Windows 98/2000 version (including service packs and other fixes installed), US or international, OEM or not
  • computer information: CPU type and speed, installed memory, type of video adapter
  • description of your problem (as much information as possible to retrieve the problem)

In order to get the complete computer information (working under Windows 95), open the Control Panel, click on "System" applet and press "Print" on "Device Manager" tab.

If you have any comments or suggestions for the next releases, please don't hesitate to post them to us.


Program updates

The latest versions is always available for downloading from our web page at:

ABView product page: http://www.sycory.com/abview.htm
 SYCORY.COM download page: http://www.sycory.com/download.htm